---
title: "Pandoc + MarkDown Demo: Introduction"
---


# MARKDOWN (MD)

* Markup language (doc, wiki, readme, etc.)
* Lightweight (very few characters for formatting)
* Easy to convert to various output formats
* Open format
* Links: [original definition](https://daringfireball.net/projects/markdown/), [RFC 7763](https://tools.ietf.org/html/rfc7763), [RFC7764](https://tools.ietf.org/html/rfc7764)
* Syntax extensions: [MD in Pandoc](https://pandoc.org/MANUAL.html#pandocs-markdown), [Github MD](https://guides.github.com/features/mastering-markdown/), [R MD](https://rmarkdown.rstudio.com/R MD)


# PANDOC

* Text document converter: </br>
      `file.fmt1 --> pandoc --> file.fmt2`
* Input formats: MD, RST, HTML, LaTeX, Wiki markups, ODT, EPUB, M$ DOCX, etc.
* Output formats: MD, RST, HTML(s), PDF, LaTeX, Beamer, Wiki markups, man, ODT, EPUB, M$ DOCX, etc.
* Open source (GPL2)
* Links: [website](https://pandoc.org/), [demos](https://pandoc.org/demos.html), [online try](https://pandoc.org/try/), [src + packages](https://github.com/jgm/pandoc/releases/latest), [wiki](https://github.com/jgm/pandoc/wiki)

## Examples

```
pandoc 00-intro.md -o tmp.html
pandoc -s 00-intro.md -o tmp.html
pandoc 00-intro.md -o tmp.pdf
pandoc 00-intro.md -t beamer -o tmp.pdf
```
