---
title: "Pandoc + MarkDown Demo: Syntax Elements"
---


# Section

## Subsection

### Subsubsection


# Paragraphs

Paragraphs are separated by, at
least, one blank line.

A hard break line  
requires 2+ spaces at the end of line.

# Fonts/Styles

*emphasis/italic* or _emphasis/italic_

**bold** or __bold__

~~strikethrough~~

`verbatim`

[SMALLcaps]{.smallcaps}

Sub~scr~ipt

Super^scr^ipt

# Comments

<!-- this is a comment -->

# Maths

$x = a + b$

$$ y = \sum_{i=0}^{n-1} \frac{a}{b} x_i \beta^i $$

HTML output format requires command line options `pandoc --mathml`



# Lists

1. Item A
2. Item B
3. Item C

Easy way:

1. Item A
1. Item B
1. Item C

Roman:

(i) Item A
(i) Item B
(i) Item C
(i) Item D

Letters:

a. Item A
a. Item B
a. Item C
a. Item D

Tight:

* Item A
* Item B
* Item C

Loose:

* Item A

* Item B

* Item C

Definitions:

Title 1
: content 1

Title 2
: content 2

Title 3
: content 3 a
: content 3 b


Combinations:

* Item A1
    + Item A1.1
    + Item A1.2
        - Item A1.2.1
        - Item A1.2.2
* Item A2


# Tables

Basic table:

------- ------- -------
 abcde  abcde     abcde
------- ------- -------
   1    1             1

   2    2             2
-----------------------
Table: Caption of the table



Grid table:

+--------+--------+-------+
| abcde  | abcde  | abcde |
+:======:+:=======+======:+
| 1      | 1      | - 1.1 |
|        |        | - 1.2 |
+--------+--------+-------+
| - 2.1  | 2      | 2     |
| - 2.2  |        |       |
+--------+--------+-------+


# Code

Inline: `def f(x): return 2*x `{.py}

Block:

```{.py .numberLines startFrom="50"}
def f(x):
        return 2*x
```

See options `--highlight-style`, `--list-highlight-styles`, `--list-highlight-languages`


# Images

![Caption of the image](square.png "This is not a square"){width=50px}


# Links and References

## Links to URLs

<http://www.pandoc.org>

[pandoc website](http://www.pandoc.org "pandoc")

<mailto:master@universe.com>

[Master](mailto:master@universe.com)


## References

##### Low Level Section {#lls}

See content of [section](#lls)


## Split Defintion & Use Form

Definition:

[pandocmanual]: http://www.pandoc.org/MANUAL.html "pandoc user manual"

Usage: see [pandoc web site][pandocmanual]


## Link inside Text or Element

This paragraph []{#labelpar} is great.

The link to the "[great paragraph](#labelpar)" is also nice.


# Footnotes

Paragraph with a footnote[^fnt1] inside.

[^fnt1]: Content of the first footnote.




# Title Page/Block

Basic format:

```{.md}
% title
% author
% date
```

YAML format:

```{.md}
---
Title: This is the title
Author: This is the author
Date: This is the date
---
```

# Table of Contents (TOC)

Use `--toc` command line option.


