local slides, handout = false, false

function Meta(m)
    mymode = m['mymode']
    if mymode ~= nil then
        if mymode:match('^slides?$') then
            slides = true
        elseif mymode:match('^handouts?$') then
            handouts = true 
        else
            io.stderr:write(PANDOC_SCRIPT_FILE, ', WARNING: unsupported mymode \'', mymode, '\'\n')
        end
    end
end

function Div(e)
    remove = false
    for _, c in pairs(e.classes) do
        if (slides and c:match('^notinslides?$')) or
        (handouts and c:match('^notinhandouts?$')) then
            remove = true
        end 
    end
    if remove then 
        return pandoc.Null()
    end
end

return { {Meta = Meta}, {Div = Div} }


